plugins {
    id 'com.android.library'
    id 'kotlin-android'
    id 'kotlin-kapt'
}

android {
    compileSdkVersion 31
    buildToolsVersion "31.0.0"

    defaultConfig {
        minSdkVersion 21
        targetSdkVersion 31
        versionCode 1
        versionName "1.0"

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
        consumerProguardFiles "consumer-rules.pro"

        kapt {
            arguments {
                arg("AROUTER_MODULE_NAME", project.getName())
            }
        }
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
    kotlinOptions {
        jvmTarget = '1.8'
    }

    buildFeatures{
        viewBinding = true
    }
}

dependencies {
    kapt "com.alibaba:arouter-compiler:1.2.2"
    implementation "org.jetbrains.kotlin:kotlin-stdlib:$kotlin_version"
    implementation 'androidx.appcompat:appcompat:1.2.0'
    implementation 'androidx.core:core-ktx:1.5.0'
    implementation 'com.google.android.material:material:1.3.0'
    testImplementation 'junit:junit:4.+'
    androidTestImplementation 'androidx.test.ext:junit:1.1.2'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.3.0'
    api "androidx.constraintlayout:constraintlayout:2.1.1"

    //activity
    api "androidx.activity:activity-ktx:1.3.0"
    //fragment
    api "androidx.fragment:fragment-ktx:1.3.3"
    //livedata
    api "androidx.lifecycle:lifecycle-livedata-ktx:2.3.1"
    //lifecycle
    api "androidx.lifecycle:lifecycle-runtime-ktx:2.3.1"
    //viewmodel
    api "androidx.lifecycle:lifecycle-viewmodel-ktx:2.3.1"
    //协程
    api "org.jetbrains.kotlinx:kotlinx-coroutines-core:1.5.0"
    api "org.jetbrains.kotlinx:kotlinx-coroutines-android:1.5.0"
    api "org.jetbrains.kotlinx:kotlinx-coroutines-core-common:1.3.4"

    //arouter
    api "com.alibaba:arouter-api:1.5.1"
    //retrofit
    api "com.squareup.retrofit2:retrofit:2.9.0"
    api "com.squareup.okhttp3:okhttp:4.9.1"
    //gson
    api "com.google.code.gson:gson:2.8.6"
    //fastjson
    api "com.alibaba:fastjson:1.2.61"
    //状态栏工具
    api "com.gyf.immersionbar:immersionbar:3.0.0"
    //multidex
    api "com.android.support:multidex:1.0.3"
    //glide
    api "com.github.bumptech.glide:glide:4.12.0"
    annotationProcessor "com.github.bumptech.glide:compiler:4.12.0"
    api "jp.wasabeef:glide-transformations:4.3.0"
    api  'jp.co.cyberagent.android:gpuimage:2.1.0'
    api "com.github.zjupure:webpdecoder:2.0.4.12.0"
    //BRVAH
    api "com.github.CymChad:BaseRecyclerViewAdapterHelper:2.9.44"
    //Permission
    api 'com.guolindev.permissionx:permissionx:1.5.1'
    //banner
    api 'io.github.youth5201314:banner:2.2.2'
    implementation "androidx.swiperefreshlayout:swiperefreshlayout:1.1.0"
    api 'com.github.Zhao-Yan-Yan:MultiStatePage:2.0.2'
    api "de.hdodenhof:circleimageview:3.1.0"
    api 'top.zibin:Luban:1.1.8'
    api 'com.github.HuanTanSheng:EasyPhotos:3.1.3'
    //facebook`
    api 'com.facebook.android:facebook-android-sdk:14.1.0'
    //google
    api 'com.google.android.gms:play-services-auth:19.0.0'
    //im
    api 'com.tencent.imsdk:imsdk-plus:5.9.1872'
    //agora
    api "io.agora.rtc:full-rtc-basic:3.7.0.2"
    //支付
    api 'com.android.billingclient:billing-ktx:4.1.0'
    //抓包
    debugImplementation "com.readystatesoftware.chuck:library:1.1.0"
    releaseImplementation "com.readystatesoftware.chuck:library-no-op:1.1.0"
    //国家选择
    api project(path: ':lib_country_picker')
    //滑动栏
    api 'com.github.hackware1993:MagicIndicator:1.7.0'
    //svgplayer
    api 'com.github.yyued:SVGAPlayer-Android:2.6.1'
    //屏幕适配
    implementation 'com.github.JessYanCoding:AndroidAutoSize:v1.2.1'
    //firebase
    api platform('com.google.firebase:firebase-bom:29.0.1')
    api 'com.google.firebase:firebase-analytics-ktx'
    api 'com.google.firebase:firebase-crashlytics-ktx'
    api 'com.google.firebase:firebase-auth-ktx'
    api 'com.google.firebase:firebase-firestore-ktx'
    api 'com.google.firebase:firebase-perf-ktx'
    //jsoup
    api 'org.jsoup:jsoup:1.12.1'
    //适配阿拉伯语
    api 'com.duolingo.open:rtl-viewpager:2.0.0'
}